> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Prześlij pliki ZIP (powyżej 6 MB)

Ze względu na techniczne ograniczenie dostawcy chmury AWS przesyłanie plików większych niż 6 MB musi odbywać się w 2 krokach:

#### **1. Zażądaj wstępnie podpisanego linku do bezpośredniego przesłania pliku.** <a href="#step1" id="step1"></a>

Dane wejściowe:

* `fileType` - `yield` LUB `soil` LUB `applied` LUB `adapt` LUB `boundary`,
* `farmUuid` (opcjonalnie) — UUID gospodarstwa, z którego chcesz zaimportować plik.

Dane wyjściowe:

* `uuid` — oczekiwany UUID po przesłaniu i przetworzeniu pliku,
* `farmUuid` — taki sam jak w danych wejściowych,
* `fileType` — taki sam jak w danych wejściowych,
* `s3Url` — adres URL używany do przesłania pliku,
* `s3Fields` — atrybuty, które należy przekazać w formularzu przesyłania pliku.

Szczegółowy opis użycia `s3Url` i `s3Fields` znajduje się w opisie drugiego kroku.

Atrybuty są ważne tylko przez 60 minut i służą do przesłania pliku.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Prześlij lokalny plik na adres s3Url, używając zdefiniowanych atrybutów formularza z s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Powiadomienia o przetwarzaniu będą dostarczane za pomocą mechanizmu subskrypcji opisanego w sekcji\
[1. Subskrypcja: pobieranie zdarzeń](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Nagłówek odpowiedzi zawiera nagłówek `Etag` który może wyglądać na przykład tak: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Ta wartość jest następnie używana w GraphQL [zapytaniu getPlatformContext](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) do monitorowania postępu przetwarzania, a także powiązań z encjami „Field”, „AsAppliedDataset”, „YieldDataset” i „SoilDataset”.
{% endhint %}

{% hint style="info" %}
Użyj `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
